// Version 1

// a simple concise but prehistoric program 

#include <stdio.h>

void main()
{
    int d[] = {12, 3, 37, 8, 24, 15, 5, 33};
    int n = 8;
    int *d1, *d2;
    int *p;
    int *e;
    
    d1 = d;
    d2 = d+n;
    while (d1<d2)
    {
        p = d1;
        e = d1 + 1;
        while (e<d2)
        {
            if (*e<*p) p = e;
            e++;
        }
        n = *p;
        *p = *d1;
        *d1 = n;
        d1++;
    }
    printf("Sorted data:\n");
    d1 = d;
    while (d1<d2)
        printf(" %d", *d1++);
    printf("\n");
}